import { ExtrinsicStatus, EventRecord } from '@polkadot/types/interfaces';
import { SubmittableResultImpl, SubmittableResultValue } from './types';
export default class SubmittableResult implements SubmittableResultImpl {
    readonly events: EventRecord[];
    readonly status: ExtrinsicStatus;
    constructor({ events, status }: SubmittableResultValue);
    readonly isCompleted: boolean;
    readonly isError: boolean;
    readonly isFinalized: boolean;
    /**
     * @description Finds an EventRecord for the specified method & section
     */
    findRecord(section: string, method: string): EventRecord | undefined;
}
